//
//  QSLConfig.swift
//  QuickSearchLocation
//
//  Created by mac on 2024/4/10.
//

import Foundation

struct QSLConfig {
    
    /// 高德地图 API KEY
    static let MapKey = "e328f86af612b4984c67a7d965b0fa6d"
    
    /// 服务协议链接
    static let AppServiceAgreementLink = "https://doc.v8dashen.com/doc/4b31250cc8fbaa63"
    
    /// 隐私权政策
    static let AppPrivacyAgreementLink = "https://doc.v8dashen.com/doc/e9b57a2813d8ed11"
    
    /// 续订政策
    static let AppSubscibeAgreementLink = "https://doc.v8dashen.com/doc/0a84539b1d6afa43"
    
}

extension QSLConfig {
    
    // 购买人数
    static let user_default_local_buy_count = "UserDefaultLocalBuyCount"
}


extension QSLConfig {
    
    // 购买人数
    static let quick_logon_key_id = "dc38d3518af74a75b41c345d869fa57d"
}

//好友查找文案 好友按钮文案 当前用户类型 当前app状态
extension QSLConfig {
    
    //手机归属地
    static var phoneLocationEnable: Bool {
        return QSLCacheManager.getConfModel()?.phoneLocationEnable ?? false
    }
    
    //购买流程
    static var loginPayEnable: Bool {
        return QSLCacheManager.getConfModel()?.loginPayEnable ?? true
    }
    
    static var addFriendTitle: String {
        return QSLCacheManager.getConfModel()?.searchFriendContent ?? "查找好友"
    }
    
    static var addFriendBtn: String {
        let text = QSLCacheManager.getConfModel()?.searchFriendContent ?? "查找好友"
        if(text.contains("好友")){
            return text.replacingOccurrences(of: "好友", with: "")
        }else{
            return "查找"
        }
    }
    
    static var addFriendIconText: String {
        let text = QSLCacheManager.getConfModel()?.searchFriendContent ?? "查找好友"
        if(text.contains("查")){
            return "查TA"
        }else if(text.contains("加")){
            return "加TA"
        }else{
            return "找TA"
        }
    }
    
    static var addFriendTipEnable: Bool {
        return QSLCacheManager.getConfModel()?.addFriendTipEnable ?? true
    }
    
}
